---
title: 'CSP: block-all-mixed-content'
slug: Web/HTTP/Headers/Content-Security-Policy/block-all-mixed-content
tags:
  - CSP
  - Content-Security-Policy
  - Directive
  - HTTP
  - Mixed Content
  - Reference
  - Security
  - block-all-mixed-content
---
<div>{{HTTPSidebar}}{{obsolete_header}}</div>

<p>The HTTP {{HTTPHeader("Content-Security-Policy")}} (CSP) <code><strong>block-all-mixed-content</strong></code> directive prevents loading any assets over HTTP when the page uses HTTPS.</p>

<p>All <a href="/en-US/docs/Web/Security/Mixed_content">mixed content</a> resource requests are blocked, including both active and passive mixed content. This also applies to {{HTMLElement("iframe")}} documents, ensuring the entire page is mixed content-free.</p>

<p class="note">The {{CSP("upgrade-insecure-requests")}} directive is evaluated before <code>block-all-mixed-content</code>. If the former is set, the latter does nothing, so set one directive or the other – not both, unless you want to force HTTPS on older browsers that do not force it after a redirect to HTTP.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Content-Security-Policy: block-all-mixed-content;</pre>

<h2 id="Examples">Examples</h2>

<pre class="notranslate">Content-Security-Policy: block-all-mixed-content;

&lt;meta http-equiv="Content-Security-Policy" content="block-all-mixed-content"&gt;
</pre>

<p>To disallow http assets on a more granular level, you can also set individual directives to <code>https:</code>. For example, to disallow nonsecure HTTP images:</p>

<pre class="notranslate">Content-Security-Policy: img-src https:</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="https://www.w3.org/TR/mixed-content/#block-all-mixed-content">Mixed Content Level 1</a></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.csp.Content-Security-Policy.block-all-mixed-content")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Content-Security-Policy")}}</li>
 <li>{{CSP("upgrade-insecure-requests")}}</li>
 <li><a href="/en-US/docs/Web/Security/Mixed_content">Mixed content</a></li>
</ul>
